POST api/Note/Save
Request Information
URI Parameters
None.
Body Parameters
SaveNoteInputModel| Name | Description | Type | Additional information |
|---|---|---|---|
| NoteId | globally unique identifier |
None. |
|
| Title | string |
Required String length: inclusive between 0 and 255 |
|
| Text | string |
Required |
|
| IsCritical | boolean |
Required |
|
| NoteAccessId | NoteAccess |
Required |
|
| SourceType | WMSMasterTypeEnum |
Required |
|
| SourceTypeId | globally unique identifier |
Required |
|
| InsertedAttachments | Collection of NoteAttachmentViewModel |
None. |
|
| DeletedAttachments | Collection of NoteAttachmentViewModel |
None. |
|
| NoteReceipients | Collection of NoteReceipientViewModel |
None. |
|
| NoteDocuments | Collection of NoteDocumentModel |
None. |
|
| NoteTemplateId | integer |
None. |
|
| InsertedTemplateAttachments | Collection of IFSAttachmentViewModel |
None. |
Request Formats
application/json, text/json
Sample:
{
"NoteId": "25c4426e-da4e-45c3-a157-d95ce4557daf",
"Title": "sample string 2",
"Text": "sample string 3",
"IsCritical": true,
"NoteAccessId": 1,
"SourceType": 1,
"SourceTypeId": "165ebe87-f507-466e-a0dc-ad0336491fe9",
"InsertedAttachments": [
{
"AttachmentId": "0cb269f8-a1d7-40b4-8d8e-18da405678dc",
"Id": "7e233c5a-a595-41ef-85f7-b96cbd31e798",
"ImageType": 1
},
{
"AttachmentId": "0cb269f8-a1d7-40b4-8d8e-18da405678dc",
"Id": "7e233c5a-a595-41ef-85f7-b96cbd31e798",
"ImageType": 1
}
],
"DeletedAttachments": [
{
"AttachmentId": "0cb269f8-a1d7-40b4-8d8e-18da405678dc",
"Id": "7e233c5a-a595-41ef-85f7-b96cbd31e798",
"ImageType": 1
},
{
"AttachmentId": "0cb269f8-a1d7-40b4-8d8e-18da405678dc",
"Id": "7e233c5a-a595-41ef-85f7-b96cbd31e798",
"ImageType": 1
}
],
"NoteReceipients": [
{
"ReceipientId": 1
},
{
"ReceipientId": 1
}
],
"NoteDocuments": [
{
"DocumentId": 1,
"DocumentSubSectionId": 1
},
{
"DocumentId": 1,
"DocumentSubSectionId": 1
}
],
"NoteTemplateId": 1,
"InsertedTemplateAttachments": [
{
"imageBytes": "QEA=",
"type": "sample string 1",
"fileName": "sample string 2",
"fileSize": 3,
"path": "sample string 4",
"contentType": "sample string 5",
"isDragged": true,
"noteId": 1,
"commentId": 1,
"taskId": 1,
"containerId": 7,
"fileExtension": "sample string 8",
"noteAttachmentId": 1,
"noteCommentAttachmentId": 1,
"taskAttachmentId": 1,
"inlineAttachment": true,
"attachId": 1,
"contentBytes": "sample string 10",
"laneId": 1,
"transportationModeId": 1,
"id": 11,
"createdDate": "2026-06-21T15:47:22.0695844-04:00",
"updatedDate": "2026-06-21T15:47:22.0695844-04:00",
"deletedDate": "2026-06-21T15:47:22.0695844-04:00",
"tasksTemplateId": 1,
"noteTemplateAttachmentId": 1,
"noteTemplateId": 1
},
{
"imageBytes": "QEA=",
"type": "sample string 1",
"fileName": "sample string 2",
"fileSize": 3,
"path": "sample string 4",
"contentType": "sample string 5",
"isDragged": true,
"noteId": 1,
"commentId": 1,
"taskId": 1,
"containerId": 7,
"fileExtension": "sample string 8",
"noteAttachmentId": 1,
"noteCommentAttachmentId": 1,
"taskAttachmentId": 1,
"inlineAttachment": true,
"attachId": 1,
"contentBytes": "sample string 10",
"laneId": 1,
"transportationModeId": 1,
"id": 11,
"createdDate": "2026-06-21T15:47:22.0695844-04:00",
"updatedDate": "2026-06-21T15:47:22.0695844-04:00",
"deletedDate": "2026-06-21T15:47:22.0695844-04:00",
"tasksTemplateId": 1,
"noteTemplateAttachmentId": 1,
"noteTemplateId": 1
}
]
}
application/xml, text/xml
Sample:
<SaveNoteInputModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Cyzerg.Model.WMS.InputOutputModels">
<DeletedAttachments>
<NoteAttachmentViewModel>
<AttachmentId>0cb269f8-a1d7-40b4-8d8e-18da405678dc</AttachmentId>
<Id>7e233c5a-a595-41ef-85f7-b96cbd31e798</Id>
<ImageType>Capture</ImageType>
</NoteAttachmentViewModel>
<NoteAttachmentViewModel>
<AttachmentId>0cb269f8-a1d7-40b4-8d8e-18da405678dc</AttachmentId>
<Id>7e233c5a-a595-41ef-85f7-b96cbd31e798</Id>
<ImageType>Capture</ImageType>
</NoteAttachmentViewModel>
</DeletedAttachments>
<InsertedAttachments>
<NoteAttachmentViewModel>
<AttachmentId>0cb269f8-a1d7-40b4-8d8e-18da405678dc</AttachmentId>
<Id>7e233c5a-a595-41ef-85f7-b96cbd31e798</Id>
<ImageType>Capture</ImageType>
</NoteAttachmentViewModel>
<NoteAttachmentViewModel>
<AttachmentId>0cb269f8-a1d7-40b4-8d8e-18da405678dc</AttachmentId>
<Id>7e233c5a-a595-41ef-85f7-b96cbd31e798</Id>
<ImageType>Capture</ImageType>
</NoteAttachmentViewModel>
</InsertedAttachments>
<InsertedTemplateAttachments>
<IFSAttachmentViewModel>
<attachId>1</attachId>
<commentId>1</commentId>
<containerId>7</containerId>
<contentBytes>sample string 10</contentBytes>
<contentType>sample string 5</contentType>
<createdDate>2026-06-21T15:47:22.0695844-04:00</createdDate>
<deletedDate>2026-06-21T15:47:22.0695844-04:00</deletedDate>
<fileExtension>sample string 8</fileExtension>
<fileName>sample string 2</fileName>
<fileSize>3</fileSize>
<id>11</id>
<imageBytes>QEA=</imageBytes>
<inlineAttachment>true</inlineAttachment>
<isDragged>true</isDragged>
<laneId>1</laneId>
<noteAttachmentId>1</noteAttachmentId>
<noteCommentAttachmentId>1</noteCommentAttachmentId>
<noteId>1</noteId>
<noteTemplateAttachmentId>1</noteTemplateAttachmentId>
<noteTemplateId>1</noteTemplateId>
<path>sample string 4</path>
<taskAttachmentId>1</taskAttachmentId>
<taskId>1</taskId>
<tasksTemplateId>1</tasksTemplateId>
<transportationModeId>1</transportationModeId>
<type>sample string 1</type>
<updatedDate>2026-06-21T15:47:22.0695844-04:00</updatedDate>
</IFSAttachmentViewModel>
<IFSAttachmentViewModel>
<attachId>1</attachId>
<commentId>1</commentId>
<containerId>7</containerId>
<contentBytes>sample string 10</contentBytes>
<contentType>sample string 5</contentType>
<createdDate>2026-06-21T15:47:22.0695844-04:00</createdDate>
<deletedDate>2026-06-21T15:47:22.0695844-04:00</deletedDate>
<fileExtension>sample string 8</fileExtension>
<fileName>sample string 2</fileName>
<fileSize>3</fileSize>
<id>11</id>
<imageBytes>QEA=</imageBytes>
<inlineAttachment>true</inlineAttachment>
<isDragged>true</isDragged>
<laneId>1</laneId>
<noteAttachmentId>1</noteAttachmentId>
<noteCommentAttachmentId>1</noteCommentAttachmentId>
<noteId>1</noteId>
<noteTemplateAttachmentId>1</noteTemplateAttachmentId>
<noteTemplateId>1</noteTemplateId>
<path>sample string 4</path>
<taskAttachmentId>1</taskAttachmentId>
<taskId>1</taskId>
<tasksTemplateId>1</tasksTemplateId>
<transportationModeId>1</transportationModeId>
<type>sample string 1</type>
<updatedDate>2026-06-21T15:47:22.0695844-04:00</updatedDate>
</IFSAttachmentViewModel>
</InsertedTemplateAttachments>
<IsCritical>true</IsCritical>
<NoteAccessId>Everyone</NoteAccessId>
<NoteDocuments>
<NoteDocumentModel>
<DocumentId>1</DocumentId>
<DocumentSubSectionId>1</DocumentSubSectionId>
</NoteDocumentModel>
<NoteDocumentModel>
<DocumentId>1</DocumentId>
<DocumentSubSectionId>1</DocumentSubSectionId>
</NoteDocumentModel>
</NoteDocuments>
<NoteId>25c4426e-da4e-45c3-a157-d95ce4557daf</NoteId>
<NoteReceipients>
<NoteReceipientViewModel>
<ReceipientId>1</ReceipientId>
</NoteReceipientViewModel>
<NoteReceipientViewModel>
<ReceipientId>1</ReceipientId>
</NoteReceipientViewModel>
</NoteReceipients>
<NoteTemplateId>1</NoteTemplateId>
<SourceType>WarehouseReceipt</SourceType>
<SourceTypeId>165ebe87-f507-466e-a0dc-ad0336491fe9</SourceTypeId>
<Text>sample string 3</Text>
<Title>sample string 2</Title>
</SaveNoteInputModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
text/html
Sample:
{"NoteId":"25c4426e-da4e-45c3-a157-d95ce4557daf","Title":"sample string 2","Text":"sample string 3","IsCritical":true,"NoteAccessId":1,"SourceType":1,"SourceTypeId":"165ebe87-f507-466e-a0dc-ad0336491fe9","InsertedAttachments":[{"AttachmentId":"0cb269f8-a1d7-40b4-8d8e-18da405678dc","Id":"7e233c5a-a595-41ef-85f7-b96cbd31e798","ImageType":1},{"AttachmentId":"0cb269f8-a1d7-40b4-8d8e-18da405678dc","Id":"7e233c5a-a595-41ef-85f7-b96cbd31e798","ImageType":1}],"DeletedAttachments":[{"AttachmentId":"0cb269f8-a1d7-40b4-8d8e-18da405678dc","Id":"7e233c5a-a595-41ef-85f7-b96cbd31e798","ImageType":1},{"AttachmentId":"0cb269f8-a1d7-40b4-8d8e-18da405678dc","Id":"7e233c5a-a595-41ef-85f7-b96cbd31e798","ImageType":1}],"NoteReceipients":[{"ReceipientId":1},{"ReceipientId":1}],"NoteDocuments":[{"DocumentId":1,"DocumentSubSectionId":1},{"DocumentId":1,"DocumentSubSectionId":1}],"NoteTemplateId":1,"InsertedTemplateAttachments":[{"imageBytes":"QEA=","type":"sample string 1","fileName":"sample string 2","fileSize":3,"path":"sample string 4","contentType":"sample string 5","isDragged":true,"noteId":1,"commentId":1,"taskId":1,"containerId":7,"fileExtension":"sample string 8","noteAttachmentId":1,"noteCommentAttachmentId":1,"taskAttachmentId":1,"inlineAttachment":true,"attachId":1,"contentBytes":"sample string 10","laneId":1,"transportationModeId":1,"id":11,"createdDate":"2026-06-21T15:47:22.0695844-04:00","updatedDate":"2026-06-21T15:47:22.0695844-04:00","deletedDate":"2026-06-21T15:47:22.0695844-04:00","tasksTemplateId":1,"noteTemplateAttachmentId":1,"noteTemplateId":1},{"imageBytes":"QEA=","type":"sample string 1","fileName":"sample string 2","fileSize":3,"path":"sample string 4","contentType":"sample string 5","isDragged":true,"noteId":1,"commentId":1,"taskId":1,"containerId":7,"fileExtension":"sample string 8","noteAttachmentId":1,"noteCommentAttachmentId":1,"taskAttachmentId":1,"inlineAttachment":true,"attachId":1,"contentBytes":"sample string 10","laneId":1,"transportationModeId":1,"id":11,"createdDate":"2026-06-21T15:47:22.0695844-04:00","updatedDate":"2026-06-21T15:47:22.0695844-04:00","deletedDate":"2026-06-21T15:47:22.0695844-04:00","tasksTemplateId":1,"noteTemplateAttachmentId":1,"noteTemplateId":1}]}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml, text/html
Sample:
Sample not available.